CREATE TABLE hey_calendar_item_tl (
    CALENDAR_ITEM_ID         NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    CALENDAR_ITEM_NAME       VARCHAR2(960)     NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    CALENDAR_ITEM_DESC       CLOB          ,
    LOCATION                 VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CALENDAR_ITEM_ID         NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    CALENDAR_ITEM_NAME       VARCHAR2(960)     NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CALENDAR_ITEM_DESC       CLOB          ,
    LOCATION                 VARCHAR2(4000),
    CONSTRAINT pk_hey_calendar_item_tl PRIMARY KEY (CALENDAR_ITEM_ID, LANGUAGE, CALENDAR_ITEM_ID, LANGUAGE)
);
